## Add note

`POST https://whatsapp.paaltech.org/api/v1/businesses/{external_id}/conversations/{id}/notes`

An internal note for the business's staff. Never sent to the contact; encrypted at rest.

Ability: `conversations.manage`

### Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `external_id` | string | yes | Your own ID for the business (Multi-SKUUL - the tenant ID). Max 191 characters. Pattern `^[A-Za-z0-9._:-]+$` |
| `id` | integer | yes |  |

### Body

| Name | Type | Required | Description |
|---|---|---|---|
| `body` | string | yes | Max 4000 characters |
| `author` | string | null | no | Who wrote it in your product. Max 191 characters |

### Request

```bash
curl --request POST \
  --url 'https://whatsapp.paaltech.org/api/v1/businesses/presec/conversations/2/notes' \
  --header "Authorization: Bearer $PAALCHAT_TOKEN" \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --data '{"body": "Parent promised to pay on Friday", "author": "Mrs Owusu (bursar)"}'
```

### Responses

- **201** - Added.

```json
{
  "data": {
    "id": 3,
    "body": "Parent promised to pay on Friday",
    "author": "Mrs Owusu (bursar)",
    "created_at": "2026-10-01T09:20:00+00:00"
  }
}
```

- **401** - unauthenticated - missing, invalid, revoked or expired token

```json
{
  "error": {"code": "unauthenticated", "message": "A valid product token is required."}
}
```

- **403** - missing_ability, product_suspended or product_token_required

```json
{
  "error": {
    "code": "missing_ability",
    "message": "This token does not have the ability this request needs."
  }
}
```

- **404** - not_found - not yours, or does not exist

```json
{"error": {"code": "not_found", "message": "Business not found."}}
```

- **422** - validation_failed - fields are invalid; see errors.

```json
{
  "error": {
    "code": "validation_failed",
    "message": "The external id field format is invalid. (and 1 more error)"
  },
  "errors": {
    "external_id": ["The external id field format is invalid."],
    "name": ["The name field is required."]
  }
}
```

- **429** - rate_limited - over 300 requests/minute for this product

```json
{
  "error": {
    "code": "rate_limited",
    "message": "Too many requests. Slow down and retry after the Retry-After header."
  }
}
```

